using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using Touchtech.Surface;

namespace SuppressSurfaceInputDemo
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            // Suppress Surface Input if running on Surface hardware
            if (SurfaceEnvironmentHelper.TrySuppressSurfaceInputOnNonSurfaceHardware())
            {
                MessageBox.Show("Surface Input has been suppressed! Running on Surface hardware = " + SurfaceEnvironmentHelper.IsRunningOnSurfaceHardware);
            }
            else
            {
                MessageBox.Show("Surface Input has not been suppressed! Running on Surface hardware = " + SurfaceEnvironmentHelper.IsRunningOnSurfaceHardware);
            }

            base.OnStartup(e);
        }
    }
}